Bug 100072

Summary: [Qt] Add Support for canvas blend modes
Product: WebKit Reporter: Rik Cabanier <cabanier>
Component: CanvasAssignee: Allan Sandfeld Jensen <allan.jensen>
Status: RESOLVED FIXED    
Severity: Normal CC: allan.jensen, commit-queue, jturcotte, noam
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 100069    
Attachments:
Description Flags
Patch
none
Patch jturcotte: review+

Description Rik Cabanier 2012-10-22 20:29:41 PDT
This bug will add the canvas blend modes to QT
Comment 1 Allan Sandfeld Jensen 2013-08-08 02:53:50 PDT
Committed r153818: <http://trac.webkit.org/changeset/153818>
Comment 2 Allan Sandfeld Jensen 2013-08-08 04:27:19 PDT
Created attachment 208325 [details]
Patch
Comment 3 Allan Sandfeld Jensen 2013-08-09 04:54:07 PDT
Created attachment 208415 [details]
Patch

Also pass the blendmode through image drawing letting us unskip more tests
Comment 4 Jocelyn Turcotte 2013-08-12 04:31:34 PDT
Comment on attachment 208415 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=208415&action=review

> LayoutTests/ChangeLog:294
>  2013-08-08  Allan Sandfeld Jensen  <allan.jensen@digia.com>
>  
> +        [Qt] Add Support for canvas blend modes
> +        https://bugs.webkit.org/show_bug.cgi?id=100072

r=me if you fix the double entry in the ChangeLog here.
Comment 5 Allan Sandfeld Jensen 2013-08-12 05:16:53 PDT
Committed r153941: <http://trac.webkit.org/changeset/153941>